Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class TagLibArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.TagLibArtefactHandler

All Implemented Interfaces:
  ArtefactHandler

    public class TagLibArtefactHandler

extends ArtefactHandlerAdapter

An ArtefactHandlerAdapter that configures tag libraries within namespaces in Grails

Since:
  0.5
Author:
  Marc Palmer (marc@anyware.co.uk), Graeme Rocher, a.shneyderman

Field Summary
`static String` | `TYPE`

Fields inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`log`

Constructor Summary
`TagLibArtefactHandler()`

Method Summary
`GrailsClass` | `getArtefactForFeature(Object feature)` This will look-up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g"
`void` | `initialize(ArtefactInfo artefacts)` Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries

Methods inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`getType, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### TagLibArtefactHandler

    public TagLibArtefactHandler()

Method Detail

### initialize

    public void initialize(ArtefactInfo artefacts)

  Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries

  Specified by:
    `initialize` in interface `ArtefactHandler`
  Overrides:
    `initialize` in class `ArtefactHandlerAdapter`
  Parameters:
    `artefacts` - The collection of artefact classes for this handler

### getArtefactForFeature

    public GrailsClass getArtefactForFeature(Object feature)

  This will look-up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g"

  Specified by:
    `getArtefactForFeature` in interface `ArtefactHandler`
  Overrides:
    `getArtefactForFeature` in class `ArtefactHandlerAdapter`
  Parameters:
    `feature` - The tag name or namespace
  Returns:
    A GrailsClass instance representing the tag library

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project